EM 12c: Linux Patching Compliance in Enterprise Manager 12c Cloud Control: Packages Reported as Rogue should be Reported as Out of Date

(Doc ID 2014642.1)

Last updated on JULY 01, 2015

Applies to:

Enterprise Manager Base Platform - Version 12.1.0.4.0 and later
Information in this document applies to any platform.

Symptoms


Using Linux Patching Compliance


The issue can be reproduced with the following steps:

Create a Linux Patching Group
Navigate: Enterprise > Provisioning and Patching > Linux Patching
Access Compliance Home and select Patching Group
Pick a Host

This shows packages which are marked as Rogue but are not Rogue packages as they come from a standard installation.



Changes

To confirm the issue, use the yum utility as follows:

# yum info bash
@ Loaded plugins: security
Installed Packages
Name        : bash
Arch        : x86_64
Version     : 4.1.2
Release     : 15.el6_5.2
Size        : 3.0 M
Repo        : installed
Summary     : The GNU Bourne Again shell


Available Packages
Name        : bash
Arch        : x86_64
Version     : 4.1.2
Release     : 29.el6.0.1
Size        : 907 k
Repo        : ol6_latest
Summary     : The GNU Bourne Again shell

           : (csh). Most sh scripts can be run by bash without modification.


In this case 15.el6_5.2 is the installed version and 29.el6.0.1 is the
latest version

Cloud Control should show 15.el6_5.2 as "Out-of-Date" and not "Rogue"
This symptoms also happens with other packages.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms